Mysql数据库从5.6.28版本升到8.0.11版本部署项目时遇到的问题及解决方法

这篇文章主要介绍了Mysql数据库从5.6.28版本升到8.0.11版本过程中遇到的问题及解决方法,解决办法有三种,每种方法给大家介绍的都很详细,感兴趣的朋友跟随脚本之家小编一起学习吧

mysql数据库版本从5.6.28升到8.0.11过程中部署项目时遇到的问题和解决方法,具体介绍如下所示:

首先这个项目用到了hibernate4.2.0,链接mysql5.6.28没问题,换到8.0.11,启动报错

1.Caused by: org.hibernate.HibernateException: Connection cannot be null when 'hibernate.dialect' not set

报错就配置吧

Mysql数据库从5.6.28版本升到8.0.11版本部署项目时遇到的问题及解决方法

启动项目不报错了,但是访问项目报错了

2.访问报错com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: Client does not support authentication protocol requested by server; consider upgrading MySQL client

原因是:安装mysql8过程中的Authentication Method这一配置过程,基于不同的加密方式,如果选择第一种强加密,就会出现我之前描述的现象;应该选第二种验证方式,即保留旧有的加密方式。

所以解决办法有3种:

1.重新装mysql8,注意选择第二种,保留旧的加密方式。

2.MySQL Installer可以直接修改Authentication Method配置

Mysql数据库从5.6.28版本升到8.0.11版本部署项目时遇到的问题及解决方法

Mysql数据库从5.6.28版本升到8.0.11版本部署项目时遇到的问题及解决方法

Mysql数据库从5.6.28版本升到8.0.11版本部署项目时遇到的问题及解决方法

Mysql数据库从5.6.28版本升到8.0.11版本部署项目时遇到的问题及解决方法

3.直接执行语句修改

?

1

2

3

4

mysql> ALTER USER 'root'@'localhost' IDENTIFIED WITH mysql_native_password BY '123456';

Query OK, 0 rows affected (0.11 sec)

mysql> FLUSH PRIVILEGES;

Query OK, 0 rows affected (0.01 sec)

注:root是用户名,localhost是特指本机,mysql_native_password是旧的密码验证机制,123456是密码

总结

以上所述是小编给大家介绍的Mysql数据库从5.6.28版本升到8.0.11版本部署项目过程中遇到的问题及解决方法,希望对大家有所帮助,如果大家有任何疑问请给我留言,小编会及时回复大家的。在此也非常感谢大家对钦钦技术栈网站的支持!

原文链接:https://www.2cto.com/database/201805/745248.html

版权声明:本文(即:原文链接:https://www.qin1qin.com/catagory/18814/)内容由互联网用户自发投稿贡献,该文观点仅代表作者本人。本站仅提供信息存储空间服务,不拥有所有权,不承担相关法律责任。如发现本站有涉嫌抄袭侵权/违法违规的内容, 请发送邮件至 630367839@qq.com 举报,一经查实,本站将立刻删除。

(0)
上一篇 2022-09-02 11:29:31
下一篇 2022-09-02 11:29:37

软件定制开发公司

相关阅读

发表回复

登录后才能评论
通知:禁止投稿所有关于虚拟货币,币圈类相关文章,发现立即永久封锁账户ID!